# $Revision: 1.41.4.6 $, $Date: 2007/03/19 08:17:28 $
# TODO:
# - update desktop patch
# - kdepim plugin
# - gnokii plugin
# - bconds: kdepim, gnokii
# - -avoid-version patch for plugins and send it to authors
# - review pl translations
#
# Conditional build:
%bcond_without	evolution	# build without evolution plugin

%define skip_plugins "%{!?with_evolution:-e evolution2_sync} -e CVS -e remote_sync -e empty_plugin -e csa_plugin -e palm_sync -e evo_address_sync -e evolution_sync -e gnokii -e kdepim"

%define	_rel	12
Summary:	PIM data synchronization program
Summary(pl):	Program do synchronizacji danych
Name:		multisync
Version:	0.83
Release:	0.20041201.%{_rel}
License:	GPL
Group:		X11/Applications
#Source0:	http://dl.sourceforge.net/multisync/%{name}-%{version}.tar.bz2
Source0:	%{name}-%{version}.tar.bz2
# Source0-md5:	dbbf807b7a9df484809bba7f163ffc04
Patch0:		%{name}-install.patch
Patch1:		%{name}-top.patch
Patch2:		%{name}-desktop.patch
Patch3:		%{name}-newbluez.patch
Patch4:		%{name}-evolution.patch
Patch5:		%{name}-ldap_plugin.patch
URL:		http://multisync.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	bluez-libs-devel >= 2.7
BuildRequires:	curl-devel
%{?with_evolution:BuildRequires:	evolution-devel >= 2.6.1}
%{?with_evolution:BuildRequires:	evolution-data-server-devel >= 1.6.1}
BuildRequires:	gettext-devel
BuildRequires:	libgnomeui-devel >= 2.14.0
BuildRequires:	libtool
BuildRequires:	openldap-devel >= 2.3.0
BuildRequires:	openobex-devel >= 1.0.0
BuildRequires:	sed >= 4.0
BuildRequires:	wbxml2-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MultiSync is a program to synchronize calendars, addressbooks and
other PIM data between programs on your computer and other computers,
mobile devices, PDAs or cell phones. Currently it has (in separate
packages) plugins for Ximian Evolution, IrMC mobile devices, SyncML,
and for backup.
%if 0
and Opie / Zaurus PDAs.
%endif

%description -l pl
Program do synchronizacji kalendarzy, ksiek adresowych i innych
danych osobistych pomidzy rnymi programami w ramach jednego
komputera, jak te pomidzy rnymi komputerami i urzdzeniami
przenonymi. Aktualnie posiada wtyczki (w osobnych pakietach) do:
Evolution Ximiana, przenonych urzdze IrMC, SyncML i kopii
zapasowych.

%package devel
Summary:	Header file to create multisync plugins
Summary(pl):	Plik nagwkowy do tworzenia wtyczek multisynca
Group:		Development/Libraries
# doesn't require base

%description devel
Header file to create multisync plugins.

%description devel -l pl
Plik nagwkowy do tworzenia wtyczek multisynca.

%package evolution
Summary:	A Ximian Evolution plugin for MultiSync
Summary(pl):	Wtyczka MultiSynca do Evolution Ximiana
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}

%description evolution
This is a plugin to enable synchronization of Ximian Evolution data
using MultiSync.

%description evolution -l pl
Jest to wtyczka umoliwiajca synchronizacj Evolution Ximiana za
pomoc MultiSync.

%package backup
Summary:	A backup plugin for MultiSync
Summary(pl):	Wtyczka MultiSynca do kopii zapasowych
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}

%description backup
This is a MultiSync plugin which backs up your calendar/phonebook/etc.
data.

%description backup -l pl
Jest to wtyczka MultiSynca tworzca kopie zapasowe kalendarza/ksiki
adresowej/itp.

%package irmc
Summary:	An IrMC (SonyEricsson T39/T68i/T610, Siemens S55) plugin for MultiSync
Summary(pl):	Wtyczka MultiSynca do IrMC (SonyEricsson T39/T68i/T610, Siemens S55)
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}

%description irmc
This is a MultiSync plugin for IrMC mobile clients (cell phones
such as SonyEricsson T39/T68/T610 and Siemens S55) connected via
Bluetooth, IR or cable.

%description irmc -l pl
Jest to wtyczka MultiSynca do wsppracy z przenonymi klientami IrMC
(telefony komrkowe takie jak SonyEricsson T39/T68/T610 i Siemens S55)
podczonymi za pomoc Bluetooth, cza na podczerwie (IR) lub kabla.

%package irmc-bluetooth
Summary:	Bluetooth support for the IrMC plugin for MultiSync
Summary(pl):	Wsparcie dla Bluetooth dla wtyczki MultiSynca do IrMC
Group:		X11/Applications
Requires:	%{name}-irmc = %{version}-%{release}

%description irmc-bluetooth
This package adds Bluetooth support to the IrMC (mobile device) plugin
for MultiSync.

%description irmc-bluetooth -l pl
Ten pakiet dodaje wsparcie dla Bluetooth do wtyczki MultiSynca do IrMC
(dla urzdze przenonych). 

%package ldap
Summary:	A LDAP plugin for MultiSync
Summary(pl):	Wtyczka MultiSynca do LDAP
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}

%description ldap
This is a MultiSync plugin which synchronizes LDAP data

%description ldap -l pl
Jest to wtyczka MultiSynca do synchronizacji danych LDAP.

%package syncml
Summary:	A SyncML plugin for MultiSync
Summary(pl):	Wtyczka MultiSynca do SynCML
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}

%description syncml
This is a SyncML 1.1 plugin for the MultiSync synchronization engine.
It allows synchronization of SyncML-enabled devices, such as the
SonyEricsson P800, as well as remote MultiSync to MultiSync
synchronization over the Internet.

%description syncml -l pl
Wtyczka do SyncML 1.1 dla mechanizmu synchronizacji MultiSync.
Umoliwia ona synchronizacj urzdze z wczonym SyncML, takich jak
SonyEricsson P800, a take zdaln synchronizacj pomidzy MultiSyncami
poprzez Internet.

%package opie
Summary:	Opie/Zaurus synchronization plugin for MultiSync
Summary(pl):	Wtyczka MultiSynca do synchronizacji z Opie/Zaurus
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}

%description opie
Opie/Zaurus synchronization plugin for MultiSync.

%description opie -l pl
Wtyczka MultiSynca do synchronizacji z Opie/Zaurus.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
#%patch2 -p1
#%patch3 -p1
%patch4 -p1
%patch5 -p1

%{__perl} -pi -e 's@/lib/multisync@/%{_lib}/multisync@' \
	src/Makefile.am plugins/*/src/Makefile.am

%build
cp -f /usr/share/gettext/config.rpath .
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

# build plugins
SKIP_PLUGINS=%{skip_plugins}
for dir in $(ls plugins/ | grep -v $SKIP_PLUGINS); do
	cd plugins/$dir
	%{__aclocal}
	%{__autoconf}
	%{__autoheader}
	# don't use -f here
	automake -a -c --foreign
	%{__sed} -i 's#/bin/sh#/bin/bash#' configure # ugly hack to workaround bashism :-\!
	%configure \
		--disable-static
	%{__make}
	cd -
done

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# build plugins
SKIP_PLUGINS=%{skip_plugins}
for dir in $(ls plugins/ | grep -v $SKIP_PLUGINS); do
	%{__make} -C plugins/$dir install \
		DESTDIR=$RPM_BUILD_ROOT
done

rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/lib*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/*
%dir %{_libdir}/%{name}
%{_datadir}/%{name}
%{_desktopdir}/multisync.desktop

%files devel
%defattr(644,root,root,755)
%{_includedir}/multisync

%if %{with evolution}
%files evolution
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/libevolution2_sync.so*
%endif

%files backup
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/libbackup_plugin.so*

%files irmc-bluetooth
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/libirmc_bluetooth.so*

%files irmc
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/libirmc_sync.so*

%files ldap
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/libldap_plugin.so*

%files syncml
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/libsyncml_plugin.so*

%files opie
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/libopie_sync.so*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: multisync.spec,v $
Revision 1.41.4.6  2007/03/19 08:17:28  glen
- cp config.rpath

Revision 1.41.4.5  2007/03/19 00:51:27  glen
- rel 11

Revision 1.41.4.4  2006/11/30 16:48:31  glen
- rel 10

Revision 1.41.4.3  2006/10/30 08:47:39  glen
- rel 9

Revision 1.41.4.2  2006/06/10 10:48:08  hawk
- release 8

Revision 1.41.4.1  2006/05/24 12:17:40  baggins
- rel 7
- rebuild with new evolution

Revision 1.41  2006/01/18 18:59:42  baggins
- release 6

Revision 1.40  2006/01/18 18:53:18  baggins
- fix ldap build

Revision 1.39  2006/01/18 18:39:13  baggins
- skip old evolution plugin

Revision 1.38  2006/01/18 18:15:05  baggins
- release 5
- don't build plugin for archaic evolution

Revision 1.37  2006/01/17 15:31:57  baggins
- release 4
- BR openldap 2.3

Revision 1.36  2005/10/21 23:02:44  qboosh
- no yacc, bison is enough

Revision 1.35  2005/10/06 23:53:45  patrys
- builds with new evolution
- added missing BR:
- tested and works (at least with evolution and T610 phone)
- rel. up

Revision 1.34  2005/02/25 20:56:57  qboosh
- moved BR to preamble

Revision 1.33  2005/02/25 10:19:23  tiwek
- SyncML subpackare req wbxml library

Revision 1.32  2004/12/01 10:19:36  wrobell
- snap 2004-12-01

Revision 1.31  2004/11/06 17:49:42  serek
- more BR.

Revision 1.30  2004/11/06 15:55:00  serek
- make it compatible with rpm ver. 4.3

Revision 1.29  2004/11/06 15:09:36  wrobell
- simplified skipping plugin a bit
- snap 2004-11-06

Revision 1.28  2004/10/28 10:14:57  wrobell
- fixed build requirements

Revision 1.27  2004/10/28 10:00:21  wrobell
- fixed build requirements

Revision 1.26  2004/10/28 01:12:31  wrobell
- fixed md5

Revision 1.25  2004/10/28 01:03:34  wrobell
- snap 20041028 (with working evo 2.0.x plugin)

Revision 1.24  2004/08/07 15:02:21  havner
- rel 4

Revision 1.23  2004/08/06 23:55:48  arekm
- add patch for new bluez-libs (no sdp lib)

Revision 1.22  2004/07/14 20:30:02  qboosh
- fixed build on amd64, ac/am cleanup, added desktop patch
- package header file as -devel subpackage, release 3

Revision 1.21  2004/07/14 18:43:18  havner
- BR: curl-devel

Revision 1.20  2004/06/15 09:08:57  krolik
- evolution plugin works only with Evolution >= 1.4, moved to bcond
- rel. 2

Revision 1.19  2004/06/03 21:57:27  wrobell
- typo

Revision 1.18  2004/06/03 21:55:47  wrobell
- added a note about aux dir

Revision 1.17  2004/06/03 21:54:50  wrobell
- ver. 0.82
- there are some hacks, maybe we can do it better, but let's see how
  authors will react to multisync-install.patch
  also ver. 0.90 is planned,  which will be quite different,
  so maybe solution without hacks is not worth our time

Revision 1.16  2004/04/11 14:11:04  qboosh
- use libsdp from bluez-libs >= 2.6, strict internal deps, .so perms

Revision 1.15  2004/03/27 23:25:20  twittner
- typo

Revision 1.14  2004/03/16 14:08:45  averne
- rel1 for Ac

Revision 1.13  2003/12/03 12:36:13  ankry
- cosmetics

Revision 1.12  2003/12/03 11:22:57  qboosh
- pl for -opie, missing dir, BR: ac,am

Revision 1.11  2003/12/03 10:25:39  wrobell
- ver. 0.81
- opie plugin

Revision 1.10  2003/11/20 15:41:53  wrobell
- evolution static should not be required, now
- rel. 0.4

Revision 1.9  2003/09/04 23:40:17  wrobell
- updated todo

Revision 1.8  2003/09/04 18:22:23  wrobell
- kill mulitsync-multisync naming
- kill glib 1.2.x dependency
- rel. 0.3

Revision 1.7  2003/08/18 10:08:32  ankry
- summaries /descriptions from enclosed templates
- added some Requires
- cleaning

Revision 1.6  2003/08/18 08:08:21  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.5  2003/08/12 06:01:06  ankry
- cosmetics

Revision 1.4  2003/08/12 01:47:30  serek
- work in progress, artur.

Revision 1.3  2003/08/11 13:19:09  serek
- more BR.

Revision 1.2  2003/08/05 17:57:46  wrobell
- added todo

Revision 1.1  2003/08/01 14:44:45  wrobell
- nfy
